aboutsummaryrefslogtreecommitdiffstats
path: root/testing/buildbot/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/buildbot/APKBUILD')
-rw-r--r--testing/buildbot/APKBUILD43
1 files changed, 25 insertions, 18 deletions
diff --git a/testing/buildbot/APKBUILD b/testing/buildbot/APKBUILD
index f9d62dd104..73ac3ddc12 100644
--- a/testing/buildbot/APKBUILD
+++ b/testing/buildbot/APKBUILD
@@ -13,42 +13,49 @@ depends="python py-twisted
depends_dev=""
makedepends="python-dev"
install="${pkgname}.pre-install"
+BUILDBOT_USER=buildbot
+BUILDBOT_GROUP=buildbot
+pkgusers="$BUILDBOT_USER"
+pkggroups="$BUILDBOT_GROUP"
subpackages=""
source="https://pypi.python.org/packages/source/b/buildbot/buildbot-$pkgver.tar.gz
buildmaster.initd
buildmaster.confd"
-_builddir="$srcdir"/buildbot-$pkgver
+builddir="$srcdir"/$pkgname-$pkgver
+
prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
+ default_prepare || return 1
}
build() {
- cd "$_builddir"
+ cd "$builddir"
python setup.py build || return 1
}
package() {
- cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
- install -m755 -D "$srcdir"/buildmaster.initd \
- "$pkgdir"/etc/init.d/buildmaster || return 1
- install -m644 -D "$srcdir"/buildmaster.confd \
- "$pkgdir"/etc/conf.d/buildmaster || return 1
+ cd "$builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" \
+ || return 1
+ install -D -m 755 \
+ "$srcdir"/buildmaster.initd \
+ "$pkgdir"/etc/init.d/buildmaster \
+ || return 1
+ install -D -m 644 \
+ "$srcdir"/buildmaster.confd \
+ "$pkgdir"/etc/conf.d/buildmaster \
+ || return 1
+ install -d -o $BUILDBOT_USER -g $BUILDBOT_GROUP \
+ "$pkgdir"/var/lib/buildmaster \
+ || return 1
}
md5sums="b4c723d1e0324ea19511e622e420c6e7 buildbot-0.8.9.tar.gz
-8e175460da21111cb05c7c85fd8a0740 buildmaster.initd
+b8a4cd31065d2fcd305e76c9e4bd2103 buildmaster.initd
b3cd43ecb53b66433e0384ad922ffde1 buildmaster.confd"
sha256sums="6b9e465e6d4825fe1f09d28505318fdb1a75b283c80a140af0f2e2a5039cfa8a buildbot-0.8.9.tar.gz
-ac3b4aeb9fc1447a53150f66d58baf3258d607577e7d34241ec1a86ff19c436e buildmaster.initd
+ddc5b7c504702da9e7452d04070a65afb8f0ff9082b3f62e8dfcebc8c2e5256e buildmaster.initd
bb7f93e3867b32a25e2445a66d40573fa5073a80e73e35ae2a904db715f870c6 buildmaster.confd"
sha512sums="5788b268689d8594592c2c5dc8c2d0178aca64c1816c7faa0181b446f8b657a4781dbb9a9d4ea0965ccfcd217dc485973fda01bf9d7cac638328dfef01959484 buildbot-0.8.9.tar.gz
-19d7c094b55c1444530b55694bbc64d5f49270df0b7a7103b67e498aa97666580fb263a488f8572d66eb83119ad3c9b1d28942d83faa874a70e032e1a50a1547 buildmaster.initd
+2e65d22f1b94433ba11839fb3434d072f9ff8132396b03fdcdb3b437778679d1699534296fbb851d2661a3a7a0bce4ef1f94c49e7910419557e4055f2ed1a4d5 buildmaster.initd
d9339c30d3a92e92b41b0e3139ec89ecbd1460b0e4ee6c6fe2560c4307b2eb3f29b838c2f2312b9c7049bd95eaf652d09039227c691af805bc25a36999ec1840 buildmaster.confd"